#ifndef _CONFIG_H
# define _CONFIG_H 1
#define PRIVSEP_USER "root"
#define PREFIX "/usr/local"
#define BINDIR "/usr/local/bin"
#define SBINDIR "/usr/local/sbin"
#define LIBEXECDIR "/usr/local/libexec"
#define MANDIR "/usr/local/share/man"
#define SYSCONFDIR "/usr/local/etc"
#define MAILSPOOL "/var/spool/mail"
#define SENDMAIL "/usr/sbin/sendmail"
#define SENDMAIL_PROGNAME "sendmail"
#define MAILCAP_PATH "~/.mailcap:/etc/mailcap:/usr/etc/mailcap:/usr/local/etc/mailcap"
#define XSHELL "/bin/sh"
#define XLISTER "ls"
#define XPAGER "more"
#define WANT_AUTOCC
/*#define WANT_AMALGAMATION*/
#define WANT_ICONV
#define WANT_SOCKETS
#define WANT_SSL
#define WANT_SSL_ALL_ALGORITHMS
#define WANT_SMTP
#define WANT_POP3
#define WANT_GSSAPI
#define WANT_MD5
#define WANT_NETRC
#define WANT_AGENT
#define WANT_OPENPGP
#define WANT_IDNA
#define WANT_IMAP_SEARCH
#define WANT_REGEX
/*#define WANT_READLINE*/
#define WANT_MLE
#define WANT_HISTORY
#define WANT_TABEXPAND
#define WANT_TERMCAP
#define WANT_ERRORS
#define WANT_SPAM_SPAMC
#define WANT_SPAM_SPAMD
#define WANT_SPAM_FILTER
#define WANT_DOCSTRINGS
#define WANT_QUOTE_FOLD
#define WANT_MAILCAP
#define WANT_FILTER_HTML_TAGSOUP
#define WANT_COLOUR
#define WANT_DOTLOCK
#define WANT_BUILTIN_MTA
#define WANT_BUILTIN_MTA_PREFER
#define MAILSPOOL_GROUP "mail"
#define SID "s-"
#define NAIL "nail"
#define SYSCONFRC "s-nail.rc"
#define MTA_SYSCONFRC "s-nail-mta.rc"
#define WANT_DEBUG
/*#define WANT_NOEXTMD5*/
#define WANT_NOALLOCA
#define WANT_DEVEL
#define WANT_NYD2
#define WANT_FORCED_STACKPROT
#define UAGENT "s-nail"
#define PRIVSEP "s-nail-privsep"
#define MTA "s-nail-mta"
#define _GNU_SOURCE
/* checked clock_gettime(2) */
#define HAVE_CLOCK_GETTIME
/* checked gete?[gu]id(2), getpwuid(3), getpwnam(3) */

/* checked SA_RESTART (for sigaction(2)) */

/* checked v?snprintf(3) */

/* checked termios.h and tc*(3) family */

/* checked f?pathconf(2) */
#define HAVE_PATHCONF
/* checked pipe2(2) */
#define HAVE_PIPE2
/* checked utimensat(2) */
#define HAVE_UTIMENSAT
/* checked arc4random(3) */
/* #define HAVE_POSIX_RANDOM 0 */
/* checked setenv(3)/unsetenv(3) */
#define HAVE_SETENV
/* checked putc_unlocked(3) */
#define HAVE_PUTC_UNLOCKED
/* checked fchdir(3) */
#define HAVE_FCHDIR
/* checked setlocale(3) */
#define HAVE_SETLOCALE
/* checked ISO/IEC 9899:1990/Amendment 1:1995 */
#define HAVE_C90AMEND1
/* checked wcwidth(3) */
#define HAVE_WCWIDTH
/* checked nl_langinfo(3) */
#define HAVE_NL_LANGINFO
/* checked realpath(3) */
#define HAVE_REALPATH
/* checked wordexp(3) */
#define HAVE_WORDEXP
#define HAVE_DEBUG
#define HAVE_DEVEL
#define HAVE_NYD2
/* checked readlink(2) */

/* checked fchown(2) */

/* checked iconv(3) functionality */
#define HAVE_ICONV
/* checked AF_UNIX sockets */
#define HAVE_UNIX_SOCKETS
/* checked sockets */
#define HAVE_SOCKETS
/* checked getaddrinfo(3) */
#define HAVE_GETADDRINFO
/* checked setsockopt(2) */
#define HAVE_SETSOCKOPT
/* checked SO_SNDTIMEO */
#define HAVE_SO_SNDTIMEO
/* checked SO_LINGER */
#define HAVE_SO_LINGER
/* checked OpenSSL (new style *_client_method(3ssl)) */
/* #define HAVE_SSL
      #define HAVE_OPENSSL 10100 */
/* checked OpenSSL (old style *_client_method(3ssl)) */
#define HAVE_SSL
      #define HAVE_OPENSSL 10000
/* checked OpenSSL STACK_OF() */
#define HAVE_OPENSSL_STACK_OF
/* checked OpenSSL_modules_load_file() support */
#define HAVE_OPENSSL_CONFIG
/* checked OpenSSL SSL_CONF_CTX support */
#define HAVE_OPENSSL_CONF_CTX
/* checked OpenSSL RAND_egd() */
#define HAVE_OPENSSL_RAND_EGD
/* checked OpenSSL all-algorithms support */
#define HAVE_SSL_ALL_ALGORITHMS
/* checked MD5 digest in OpenSSL */
#define HAVE_OPENSSL_MD5
#define HAVE_SMTP
#define HAVE_POP3
/* checked GSS-API via krb5-config(1) */
#define HAVE_GSSAPI
#define HAVE_NETRC
#define HAVE_AGENT
#define HAVE_OPENPGP
/* checked GNU Libidn */
#define HAVE_IDNA HAVE_IDNA_LIBIDNA
#define HAVE_IDNA_LIBIDNA 0
#define HAVE_IDNA_IDNKIT 1
#define HAVE_IMAP_SEARCH
/* checked regular expressions */
#define HAVE_REGEX
#define HAVE_MLE
#define HAVE_HISTORY
#define HAVE_TABEXPAND
/* checked for termcap(3) (via termcap) */
/* #define HAVE_TERMCAP */
/* checked for termcap(3) (via curses.h / -ltermcap) */
/* #define HAVE_TERMCAP
         #define HAVE_TERMCAP_CURSES */
/* checked for termcap(3) (via curses.h / -lcurses) */
#define HAVE_TERMCAP
         #define HAVE_TERMCAP_CURSES
#define HAVE_ERRORS
#define HAVE_SPAM_SPAMC
#define HAVE_SPAM_SPAMD
#define HAVE_SPAM_FILTER
#define HAVE_SPAM
#define HAVE_DOCSTRINGS
#define HAVE_QUOTE_FOLD
#define HAVE_MAILCAP
#define HAVE_FILTER_HTML_TAGSOUP
#define HAVE_COLOUR
#define HAVE_DOTLOCK
#define HAVE_BUILTIN_MTA
#define HAVE_BUILTIN_MTA_PREFER
#define HAVE_MD5

/* The "feature string" */
# if defined _ACCMACVAR_SOURCE || defined HAVE_AMALGAMATION
static char const _features[] = "MIME"
# ifdef HAVE_SETLOCALE
   ",LOCALES"
# endif
# ifdef HAVE_C90AMEND1
   ",MULTIBYTE CHARSETS"
# endif
# ifdef HAVE_NL_LANGINFO
   ",TERMINAL CHARSET"
# endif
# ifdef HAVE_ICONV
   ",ICONV"
# endif
# ifdef HAVE_SOCKETS
   ",NETWORK"
# endif
# ifdef HAVE_SSL
   ",S/MIME,SSL/TLS"
# endif
# ifdef HAVE_SSL_ALL_ALGORITHMS
   ",SSL-ALL-ALGORITHMS"
# endif
# ifdef HAVE_SMTP
   ",SMTP"
# endif
# ifdef HAVE_POP3
   ",POP3"
# endif
# ifdef HAVE_GSSAPI
   ",GSS-API"
# endif
# ifdef HAVE_MD5
   ",MD5 [APOP,CRAM-MD5]"
# endif
# ifdef HAVE_NETRC
   ",NETRC"
# endif
# ifdef HAVE_OPENPGP
   ",OPENPGP"
# endif
# ifdef HAVE_IDNA
   ",IDNA"
# endif
# ifdef HAVE_IMAP_SEARCH
   ",IMAP-SEARCH"
# endif
# ifdef HAVE_REGEX
   ",REGEX"
# endif
# ifdef HAVE_READLINE
   ",READLINE"
# endif
# ifdef HAVE_MLE
   ",MLE"
# endif
# ifdef HAVE_WCWIDTH
   " (WIDE GLYPHS)"
# endif
# ifdef HAVE_TABEXPAND
   ",TABEXPAND"
# endif
# ifdef HAVE_HISTORY
   ",HISTORY"
# endif
# ifdef HAVE_TERMCAP
   ",TERMCAP"
# endif
# ifdef HAVE_SPAM_SPAMC
   ",SPAMC"
# endif
# ifdef HAVE_SPAM_SPAMD
   ",SPAMD"
# endif
# ifdef HAVE_SPAM_FILTER
   ",SPAMFILTER"
# endif
# ifdef HAVE_DOCSTRINGS
   ",DOCSTRINGS"
# endif
# ifdef HAVE_QUOTE_FOLD
   ",QUOTE-FOLD"
# endif
# ifdef HAVE_MAILCAP
   ",MAILCAP"
# endif
# ifdef HAVE_FILTER_HTML_TAGSOUP
   ",HTML-FILTER"
# endif
# ifdef HAVE_COLOUR
   ",COLOUR"
# endif
# ifdef HAVE_DOTLOCK
   ",DOTLOCK-FILES"
# endif
# ifdef HAVE_BUILTIN_MTA
   ",BUILTIN-MTA"
# endif
# ifdef HAVE_DEBUG
   ",DEBUG"
# endif
# ifdef HAVE_DEVEL
   ",DEVEL"
# endif
;
# endif /* _ACCMACVAR_SOURCE || HAVE_AMALGAMATION */
#endif /* _CONFIG_H */
